# $Revision: 1.22 $, $Date: 2007-06-26 07:06:20 $
%bcond_without	git
Summary:	David's Advanced Revision Control System - yet another replacement for CVS
Summary(pl.UTF-8):	David's Advanced Revision Control System - jeszcze jeden zamiennik CVS-a
Name:		darcs
Version:	1.0.9
Release:	1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://darcs.net/%{name}-%{version}.tar.gz
# Source0-md5:	07222cd3c500aa31e3332847573a4ab2
URL:		http://darcs.net/
BuildRequires:	autoconf
BuildRequires:	curl-devel
%if %{with git}
BuildRequires:	git-core-devel >= 1.5.2.2-4
BuildRequires:	openssl-devel
%endif
BuildRequires:	ghc >= 6.2
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
David's Advanced Revision Control System is yet another replacement
for CVS. It is written in Haskell, and has been used on Linux, MacOS
X, FreeBSD, OpenBSD and Microsoft Windows. Darcs includes a CGI
script, which can be used to view the contents of your repository.

%description -l pl.UTF-8
David's Advanced Revision Control System (zaawansowany system kontroli
wersji Davida) to jeszcze jeden zamiennik CVS-a. Jest napisany w
Haskellu, dotychczas był używany na Linuksie, MacOS-ie X, FreeBSD,
OpenBSD i Microsoft Windows. Darcs zawiera skrypt CGI, który może być
używany do oglądania zawartości repozytorium.

%prep
%setup -q

sed -i -e 's#curses ncurses#tinfo curses ncurses#g' configure.ac

%build
%{__aclocal}
%{__autoconf}
CPPFLAGS="-I/usr/include/ncurses"
%configure \
%if %{with git}
	--enable-git \
	--with-git-includes="-I%{_includedir}/git-core" \
%endif
	--without-wx
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc manual AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/bash_completion.d/%{name}
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: darcs.spec,v $
Revision 1.22  2007-06-26 07:06:20  arekm
- final 1.0.9; enable git support

Revision 1.21  2007/02/19 14:43:47  qrczak
- 1.0.9rc2 (1.0.8 doesn't build with ghc-6.6).

Revision 1.20  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.18  2006/10/19 23:58:07  aredridel
- 1.0.8

Revision 1.17  2006/03/15 20:33:54  aredridel
- up to 1.0.6

Revision 1.16  2006/01/09 19:15:43  aredridel
- up to 1.0.5

Revision 1.15  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.14  2005/11/22 18:37:34  aredridel
- up to 1.0.4
- include bash completion

Revision 1.13  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.12  2005/07/26 10:31:59  jpc
- BR: readline-devel

Revision 1.11  2005/05/27 05:57:55  aredridel
- up to 1.0.3

Revision 1.10  2005/02/06 10:30:34  qboosh
- simplified

Revision 1.9  2005/02/06 03:20:45  aredridel
- up to 1.0.2 final
- STBR

Revision 1.8  2005/02/03 20:56:47  qboosh
- proper versioning

Revision 1.7  2005/01/29 01:50:52  aredridel
- up to 1.0.2pr2

Revision 1.6  2004/12/16 14:52:42  paszczus
- release 1

Revision 1.5  2004/12/14 14:38:51  paszczus
- updated to 1.0.1; test build please...

Revision 1.4  2004/11/24 08:50:28  undefine
- up to final 1.0.0

Revision 1.3  2004/10/28 19:47:43  aredridel
- up to 1.0.0rc3

Revision 1.2  2004/06/18 23:11:03  qboosh
- pl

Revision 1.1  2004/06/13 15:18:30  arekm
- initial pld release
